Skip to main content

Authorize Sales Order

Authorize a pending sales order using its authorization identifier.

Endpoint

PUT /sales-orders/authorize/{{authorizationId}}

Authentication

Bearer Token (passed in the Authorization header)

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
authorizationIdstringYesThe unique authorization identifier for the sales order.

Request Headers

HeaderValueRequiredDescription
AuthorizationBearer {token}YesBearer token for authentication.
Content-Typeapplication/jsonYesThe content type of the request body.

Example Request

curl -X PUT "https://api.example.com/sales-orders/authorize/{{authorizationId}}" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json"

Request Schema

No request body is required for this endpoint.